Version 5.0

Migrate for Compute Engine requirements

This page describes the requirements for migrations with Migrate for Compute Engine.

Requirements for all migrations

VM operating system requirements

VMs you want to migrate need to run a Supported operating system version.

Network Connectivity

Ports and connectivity required for using Migrate for Compute Engine are described at Installing the Migrate Connector.

Google Cloud Permissions

Migrate for Compute Engine components require a specific set of Google Cloud Enabling Migrate for Compute Engine services.

Number of current migrations

You can have up to 100 migrations in progress, meaning migrations that you have onboarded, not counting migrations in the Finalize phase.

On-premises VMware to Compute Engine migrations

VMware Versions

Migrate for Compute Engine supports migrations from VMware vCenter and ESXi.

The latest Migrate for Compute Engine release is compatible with VMware versions:

  • vCenter: 5.5.*, 6.0.*, 6.5.*, 6.7.*, 7.0.*
  • ESXi: 5.5.*, 6.0.*, 6.5.*, 6.7.*, 7.0.*

VMware Permissions

A VMware administrator needs to:

  • Deploy the Migrate Connector OVA.
  • Create and assign vCenter roles for Migrate for Compute Engine to manage migrations.

Migrate Connector for Migrate for Compute Engine

The Migrate Connector for Migrate for Compute Engine runs on a VM in your VWware environment. For more information, see Installing the Migrate Connector.

What's next